Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class ExcelMatrixReader

    java.lang.Object
      uchicago.src.sim.network.ExcelMatrixReader

All Implemented Interfaces:
  NetworkMatrixReader

    public class ExcelMatrixReader

extends java.lang.Object
implements NetworkMatrixReader

Constructor Summary
`ExcelMatrixReader(java.lang.String filename)`

Method Summary
`void` | `close()` Closes the reader.
`java.util.Vector` | `getMatrices()` Returns a vector of AdjacencyMatrices.
`java.util.Vector` | `getMatrices(int matrixType)` Returns a vector of AdjacencyMatrices.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcelMatrixReader

    public ExcelMatrixReader(java.lang.String filename)

Method Detail

### getMatrices

    public java.util.Vector getMatrices()
                                 throws java.io.IOException

  Description copied from interface: `NetworkMatrixReader`
  Returns a vector of AdjacencyMatrices.

  Specified by:
    `getMatrices` in interface `NetworkMatrixReader`
  Throws:
    `java.io.IOException`

### getMatrices

    public java.util.Vector getMatrices(int matrixType)
                                 throws java.io.IOException

  Description copied from interface: `NetworkMatrixReader`
  Returns a vector of AdjacencyMatrices.

  Specified by:
    `getMatrices` in interface `NetworkMatrixReader`
  Parameters:
    `matrixType` - the type of the matrix. type refers to the size of the matrix elements (ij values) and can be one of NetworkConstants.BINARY, NetworkConstants.LARGE, NetworkConstants.SMALL
  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

### close

    public void close()

  Description copied from interface: `NetworkMatrixReader`
  Closes the reader.

  Specified by:
    `close` in interface `NetworkMatrixReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD